package kz.istt.locust;

import org.w3c.dom.NamedNodeMap;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

public class XMLTools 
{
	
	/**
	 * Вернуть значение первой попавшийся CDATA
	 * @return строка
	 */
	public static String getCDATAValue(Node node)
	{
		if(node==null) return "";
		NodeList items = node.getChildNodes();
		for (int i=0;i<items.getLength();i++)
		{
			Node n=items.item(i);
			if(n.getNodeName().equals("#cdata-section"))
				return n.getNodeValue();
		}
		return "";
	}

	/** Найти узел по атрибуту
	 */
	public static Node findNodeOnAttribute(Node node, String nodename, String attribute, String val)
	{
		if(node==null) return null;
		NodeList items = node.getChildNodes();
		for (int i=0;i<items.getLength();i++)
		{
			Node n=items.item(i);
			if(n.getNodeName().equals(nodename))
			{
				NamedNodeMap nnm=n.getAttributes();
	        	if(nnm.getNamedItem(attribute).getNodeValue().equals(val)) return n;   
			}
		}
		return null;
	}

	/**
	 * Найти узел по имени
	 * @param node
	 * @param nodename
	 * @return
	 */
	public static Node findFirstNode(Node node, String nodename)
	{
		if(node==null || nodename==null) return null;
		NodeList items = node.getChildNodes();
		for (int i=0;i<items.getLength();i++)
		{
			Node n=items.item(i);
			if(n.getNodeName().equals(nodename))
			{
				return n;   
			}
		}
		return null;
	}

	
}
